@charset "UTF-8";

.video_nav {
  background: url("../../img/mypage/videos_bg.jpg") no-repeat;
  background-position: center;
  background-size: 100%;
  color: #fff;
  padding: 20px 0;
  font-size: 18px;
}

.nav-tab__list {
  padding: 0;
}

.section-content-vids .container {
  margin: 0;
}

ul.video_navi_links {
  display: flex;
  text-align: center;
  justify-content: space-between;
  align-items: center;
  background-color: #f6f5f5;
  padding: 8px 0;
}

ul.video_navi_links li {
  width: 50%;
  text-align: center;
  font-weight: bold;
  border-right: 1px solid #D7D7D7;
}

ul.video_navi_links li:last-child {
  border-right: none;
}

ul.video_navi_links li a.video_navi_links__item {
  color: #666;
  text-decoration: none;
  display: block;
}

ul.video_navi_links li span.video_navi_links__item--disabled {
  color: #aaa;
  text-decoration: none;
  display: block;
}

ul.video_navi_links li.active span {
  color: #2e6eac;
}

.movie__cont {
  display: flex;
  align-items: flex-start;
  width: 100%;
  min-height: 76px;
}

.movie__imagearea {
  width: 110px;
  margin: 0 10px 0 0;
  position: relative;
  height: 62px;
}

.movie__photo {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  margin: auto;
  object-fit: cover;
  border-radius: 4px;
  /* line-height: 0; */
}

.movie__dataarea {
  width: calc(100% - 150px);
}

.movie__category {
  font-size: 10px;
  font-weight: bold;
  color: #ffffff;
  line-height: 16px;
  width: auto;
  height: 16px;
  padding: 0 8px;
  min-width: 60px;
  text-align: center;
  display: inline-block;
  border-radius: 2px;
  margin: 0 0 5px 1px;
}

.movie__category.categoryCor-51 {
  background: #008000;
}

.movie__category.categoryCor-52 {
  background: #FE025D;
}

.movie__category.categoryCor-53 {
  background: #FED702;
}

.movie__category.categoryCor- {
  background: #ADD049;
}

.movie__category.categoryCor-12,
.lessonTypeCor-pilates {
  background: #006faf;
}

.movie__category.categoryCor-21,
.lessonTypeCor-yoga {
  background: #ffa500;
}

.movie__category.categoryCor-22 {
  background: #808000;
}

.movie__category.categoryCor-23 {
  background: #4b0082;
}

.movie__category.categoryCor-24 {
  background: #ffc0cb;
}

.movie__category.categoryCor-25 {
  background: #b8860b;
}

.movie__category.categoryCor-32 {
  background: #dda0dd;
}

.movie__category.categoryCor-33 {
  background: #808080;
}

.movie__category.categoryCor-42 {
  background: #000080;
}

.movie__ttl {
  font-size: 14px;
  line-height: 1.4;
  color: #333;
  font-weight: bold;
  /*for IE */
  position: relative;
  width: 100%;
  text-align: left;
  letter-spacing: 0.02em;
  display: block;
  /*for IE */
  overflow: hidden;
  /*for IE */
}

/*2行以降を省略*/
@supports (-webkit-line-clamp: 2) {
  .movie__ttl {
    display: -webkit-box;
    overflow: hidden;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
  }
}

.section-content_related_movie {
  position: relative;
  max-width: 768px;
  margin: auto;
}

.related_movie--none {
  margin: 2em 0;
  padding: 1em;
  text-align: center;
}

.related_movie__ttl {
  font-size: 24px;
  color: #67533a;
  font-weight: bold;
  padding: 22px 0 9px 15px;
  border-bottom: 1px solid rgba(217, 217, 217, 1);
  /*for IE */
  position: relative;
  text-align: left;
  letter-spacing: 0.02em;
  display: block;
  /*for IE */
  overflow: hidden;
  /*for IE */
}

.related_movie__duration {
  font-size: 12px;
}

.movie__time {
  position: absolute;
  top: 67px;
  left: 0;
  width: auto;
  height: 16px;
  font-size: 10px;
  font-weight: bold;
  line-height: 16px;
  text-align: left;
  margin: 0 0 0 -1px;
  color: #888888;
  display: inline-block;
  padding: 0 4px;
  border-radius: 2px;
}

.movie__teacher {
  font-size: 12px;
  margin: 2px 0 0 2px;
}

.movie__teacher span {
  margin-left: 0.5em;
}

.movie__sort {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #f6f5f5;
  border-top: 1px solid #ebe7e1;
  border-bottom: 1px solid #ebe7e1;
  padding: 8px 14px;
  width: 100%;
  min-height: 52px;
}

.movie__sorthead {
  display: flex;
  align-items: center;
  width: calc(100% - 55px);
}

.movie__sortttl {
  color: #333;
  font-size: 12px;
  font-weight: bold;
  margin: 0 0.5em 0 0;
  line-height: 1.3;
  min-width: 5em;
}

.movie__sortkey {
  font-size: 13px;
  line-height: 1.3;
  max-width: calc(100% - 78px);
  display: block;
  /*for IE */
  overflow: hidden;
  /*for IE */
  height: 16.9px;
  /*for IE */
}

@supports (-webkit-line-clamp: 1) {
  .movie__sortkey {
    display: -webkit-box;
    overflow: hidden;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
  }
}

.movie__sortbtn {
  display: flex;
  justify-content: center;
  width: 100px;
  height: 28px;
}

.movie__sortbtn button {
  display: block;
  width: 100%;
  height: 100%;
  font-size: 12px;
  background: #2e6eac;
  color: #ffffff;
  font-weight: bold;
  border-radius: 50px;
  line-height: 28px;
  text-align: center;
}

.movie__sortbtn button:focus {
  outline: none;
}

.movie__result {
  font-size: 9px;
  font-weight: bold;
  margin: 8px 0 0 14px;
  color: #666666;
}

.movie__result span {
  font-size: 130%;
  padding: 0 2px;
  /* color: #333333; */
}

/* モーダルCSSここから */
.modalArea {
  visibility: hidden;
  /* displayではなくvisibility */
  opacity: 0;
  position: fixed;
  z-index: 2000;
  /* サイトによってここの数値は調整 */
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  transition: 0.4s;
  /* min-height: 100vh; */
}

.modalBg {
  width: 100%;
  height: 100%;
  background-color: rgba(30, 30, 30, 0.9);
}

.modalWrapper {
  position: absolute;
  top: 0;
  left: 0;
  /* transform:translate(-50%,-50%); */
  width: 100%;
  height: 100vh;
  /* max-width: 500px; */
  /* padding: 0 16px; */
  background-color: #fff;
  overflow: auto;
}

.modalContents {
  margin-top: 57px;
  margin-bottom: 38px;
}

.modalContents h2 {
  font-size: 14px;
  color: #333;
  padding: 10px 16px;
  background: #ffffff;
}

.modalContents ul {
  width: 100%;
  border-top: 1px solid #ebebeb;
  border-bottom: 1px solid #ebebeb;
}

.modalContents li+li {
  border-top: 1px solid #ebebeb;
}

.closeModal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: #f6f5f5;
  padding: 0 1em;
  height: 57px;
  color: #333;
  border-bottom: 1px solid #d7d7d7;
}

.closeModal img {
  width: 24px;
  vertical-align: text-top;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
}

.closeModal p {
  width: 100%;
  text-align: center;
  line-height: 57px;
  font-size: 16px;
  font-weight: bold;
}

.modalBtm {
  position: fixed;
  width: 100%;
  background: #fff;
  bottom: 0;
  padding: 14px 16px;
}

.modalBtn-list {
  /*display: flex;*/
  justify-content: space-between;
  align-items: center;
}

.modalBtn-item {
  text-align: center;
}

.modalBtn-item.mBtn--cancel {
  /* min-width: 8em; */
  /* width: 35%;
   /*flex: 0 1 35%;*/
}

.mBtn--cancel {
  padding-top: 10px;
  text-align: center;
}

.modalBtn-item.mBtn--run {
  /* min-width: 10em; */
  /* width: 60%;
  flex: 0 1 60%;*/
}

.modalBtn-item button {
  text-decoration: none;
  font-size: 14px;
  font-weight: bold;
  width: 100%;
  display: block;
  height: 100%;
  padding: 12px 10px;
  border-radius: 50px;
}

.modalBtn-item.mBtn--cancel button {
  background: none;
}

.modalBtn-item.mBtn--run button {
  background: #036fb1;
  color: #ffffff;
}

.modalBtn-item.mBtn--disable button {
  background: #aaa;
  color: #ffffff;
}

.is-show {
  /* モーダル表示用クラス */
  visibility: visible;
  opacity: 1;
}

/* モーダルCSSここまで */

/*チェックボックスjs使わないタイプのCSS*/
.movie__sort fieldset {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  width: calc(100% - 116px);
}

.movie__sort label {
  width: 100%;
  cursor: pointer;
  display: block;
  height: auto;
  padding: 9px 24px;
}

.movie__sort input[type="checkbox"] {
  -moz-opacity: 0;
  opacity: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  position: absolute;
  top: 0;
  left: 0;
}

.movie__sort input[type="checkbox"]+label .check-icon {
  position: relative;
  display: inline-block;
  vertical-align: middle;
  box-sizing: border-box;
  width: 26px;
  height: 26px;
  margin-top: -0.25em;
  margin-right: 0.75em;
  transition: all 0.2s ease-out;
  top: 0;
  left: 0;
}

.movie__sort input[type="checkbox"]+label .check-icon:before {
  position: relative;
  content: "";
  display: inline-block;
  box-sizing: border-box;
  width: 26px;
  height: 26px;
  border-radius: 2px;
  border: 2px solid #ccc;
  background: #fff;
  box-shadow: none;
  transition: all 0.1s ease-out;
}

.movie__sort input[type="checkbox"]:checked+label .check-icon:before {
  position: relative;
  content: "";
  display: inline-block;
  box-sizing: border-box;
  width: 26px;
  height: 26px;
  border-radius: 2px;
  border: 2px solid #126AA6;
  background: #126AA6;
  box-shadow: none;
  transition: all 0.1s ease-out;
}

.movie__sort input[type="checkbox"]:checked+label .check-icon:after {
  position: absolute;
  content: "";
  top: 0.2em;
  left: 0.55em;
  width: 40%;
  height: 70%;
  transform: rotate(45deg);
  /* border: solid 2px transparent; */
  border-bottom: 3px solid #ffffff;
  border-right: 3px solid #ffffff;
  background: transparent;
  box-shadow: none;
  /* z-index: 60; */
}

.movie__sort .check-name {
  font-size: 15px;
  font-weight: bold;
  color: #333333;
}

.title-ber {
  background-color: #07669a;
  padding: 3px 3px 3px 1em;
  max-width: 90%;
  margin-top: 10px;
  margin-left: 20px;
  margin-bottom: 10px;
  border-radius: 0.1em;
  color: white;
  clear: both;
  font-size: 15px;
}

/*フォーカスはPCのみ
.movie__sort input[type="checkbox"]:focus + .check-icon {
  border-radius: 4px;
  box-shadow: 0 0 2px 2px #4698cb;
}
.movie__sort input[type="checkbox"]:focus + .check-icon:before {
  border-radius: 4px;
  box-shadow: none;
}
.movie__sort input[type="checkbox"]:focus:not(:cheked) + .check-icon:before {
  border-color: #4698cb;
}*/
.movie__sort input[type="checkbox"]:disabled+label .check-icon:before {
  background: #ccc;
}

.movie__sort label.is-disable {
  color: #ccc;
}

/*sp背景色青に*/
.movie__sort input[type="checkbox"]:checked+label {
  /* background: #cbdbeb; */
  /* position: absolute; */
  /* z-index: 50; */
}

/*ホバーPCのみ
.movie__sort
  label:hover
  input[type="checkbox"]:not(:checked):not(:disabled)
  + .check-icon:before {
  border-color: #4698cb;
  border-radius: 2px;
}
*/

/*詳細ページの動画タイトルなど*/
.detail {
  width: 100%;
  padding: 16px;
  margin-bottom: 5%;
  color: #333;
}

.detail__head {
  margin: 0.4em 0 1em;
}

.detail__head .movie__category {
  font-size: 14px;
  line-height: 21px;
  height: auto;
  letter-spacing: 0.02em;
  min-width: 4em;
  margin-bottom: 15px;
}

h3.detail__moviettl {
  font-size: 18px;
  line-height: 1.4;
  font-weight: bold;
  letter-spacing: 0.03em;
  margin: 0 0 10px 0;
}

.detail__namearea {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
}

.detail__teacher {
  font-size: 13px;
  line-height: 1.3;
  font-weight: normal;
  margin: 0 0 2px 0.2em;
  width: calc(100% - 90px);
}

.detail__teacher span {
  font-size: 16px;
  line-height: 1.4;
  font-weight: normal;
  margin: 0 0 0 0.3em;
  letter-spacing: 0.02em;
}

.detail__time {
  font-size: 13px;
  font-weight: bold;
  color: #8e8471;
  background: #f8f6f2;
  text-align: center;
  margin: 0 0 0 20px;
  width: 78px;
  height: 22px;
  line-height: 22px;
}

.detail-icon-container{
  margin: 1.4em 0;
}

.detail-icon-btn{
  margin-right: 0.8em;
  width: 28px;
  height: 28px;
}

.detail-icon-btn__img{
  width: 28px;
  height: 28px;
  object-fit: cover;
}

.detail-share-dialog{
  margin: 2em;
}

.detail-share-dialog__title{
  margin: 0.8em 0 1.4em;
  color: #6F6F6F;
}

.detail-share-dialog-copy-btn__img{
  vertical-align: middle;
  margin-right: 0.4em;
}
.detail-share-dialog-copy-btn__text{
  color: #5BACE2;
  vertical-align: middle;
  font-weight: bold;
  font-size: 1.8rem;
}

.detail-share-dialog__body{
  color: #8FA0AC;
  background-color: #EFF3F6;
  padding: 1.2em;
  border-radius: 0 24px 24px 24px;
  margin: 1.2em 0;
}

.detail-share-dialog-close{
  margin: 2.4em 0 0;
  font-weight: bold;
  color: #6F6F6F;
  text-align: center;
  font-size: 1.6rem;
}

/* シェアダイアログ表示時にヘッダー内メニューが選択不可能になるようにvue-js-modalのCSSを上書き */
div.vm--container{
  z-index: 1001;
}

.detail__note {
  font-size: 14px;
  line-height: 1.8;
}

/*index.cssを一部上書きするための記述  戻るボタンのところ*/
.section-header__back {
  position: relative;
  top: 2px;
  left: 0;
  min-height: 55px;
}

@media only screen and (min-width: 769px) {
  .movie__imagearea {
    width: 20%;
    margin-right: 4%;
    height: auto;
  }

  .movie__imagearea::before {
    content: "";
    display: block;
    padding-top: 54.45%;
    position: relative;
  }

  .movie__dataarea {
    width: calc(74% - 40px);
  }

  .movie__category {
    margin-bottom: 8px;
  }

  .movie__ttl {
    font-size: 16px;
    height: 22.4px;
    /*for IE */
  }

  @supports (-webkit-line-clamp: 1) {
    .movie__ttl {
      display: -webkit-box;
      overflow: hidden;
      -webkit-line-clamp: 1;
      -webkit-box-orient: vertical;
    }
  }

  .movie__teacher {
    font-size: 14px;
  }

  .movie__time {
    top: inherit;
    bottom: 1px;
    left: 2px;
    color: #ffffff;
    text-shadow: 0px 0px 5px rgba(23, 23, 23, 70%);
  }

  .movie__sort {
    border: 1px solid #ebe7e1;
  }

  .modalWrapper {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 75%;
    height: 75%;
    min-width: 800px;
    min-height: 350px;
    background-color: #fff;
    overflow: auto;
    border-radius: 20px;
  }
}